#include <stm32f10x.h>
#include "usart.h"
#include "ds1302.h"

uint8_t TxBuffer[] = "\n\rUSART Hyperterminal Hardware Flow Control Example: USART - \
Hyperterminal communication using hardware flow control\n\r";

#ifndef CTRT 

void NVIC_Configuration(void)
{
  NVIC_InitTypeDef NVIC_InitStructure;	
  
  NVIC_SetVectorTable(NVIC_VectTab_FLASH, 0x0000);

  NVIC_PriorityGroupConfig(NVIC_PriorityGroup_1);

  NVIC_InitStructure.NVIC_IRQChannel = USART1_IRQn;
  NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority = 1;
  NVIC_InitStructure.NVIC_IRQChannelSubPriority = 0;
  NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;  
  NVIC_Init(&NVIC_InitStructure);	
}
#endif

int main(void)
{
	u8 Temp,DataPackge[7];
	SystemInit();
	usart_Configuration();	
	NVIC_Configuration();
	DS1302_Configuration();
	InitDS1302();
  	while(1)
	{
		ReadDS1302Clock(DataPackge);		
		if(DataPackge[5] > Temp || DataPackge[5] < Temp)
		{
			printf("  Now is 20%0x-",DataPackge[0]);
			printf("%0x-",DataPackge[1]);
			printf("%0x   ",DataPackge[2]);
			printf("%0x : ",DataPackge[3]);
			printf("%0x : ",DataPackge[4]);
			printf("%0x   ",DataPackge[5]);
			printf("%0x  www.waveshare.net\r\n ",DataPackge[6]);
		}
		Temp = DataPackge[5];
	}
}

